<?php
if(!isset($_GET['url'])) { 
	pageNotFound(); 
}

$url = mysqli_real_escape_string($dblink, $_GET['url']); 
if(stripos($url,'/') !== false && stripos($url,'category') === false ) { 

	//router for SE friendly URLs
	$routerArray = explode("/",$url);
	$validFilters = array("tags","status","gender","ethnicity","hair","age","sites","languages"); 
	foreach($routerArray as $k=>$v) { 
		if(in_array($v,$validFilters)) { 
			if(isset($routerArray[$k+1])) { 
				$thisValue = explode(",",$routerArray[$k+1]);
				$thisRoute[$v] = $thisValue; 
			}
		}
	}
	if(isset($thisRoute) && is_array($thisRoute)) { 
		$_GET = array_merge($_GET,$thisRoute); 
		unset($_GET['url']);
		
	} else { 
		pageNotFound(); 
		exit();
	}
	$_template_header = 'overall_header';
	$_template_content = 'index';
	$_template_footer = 'overall_footer';
} else { 
	//custom url

	$data = dbRow("SELECT * FROM custom_links WHERE url = '".$url."'");
	if(!is_array($data)) { 
		pageNotFound();
	}

	parse_str($data['query_string'],$parsed); 
	if(is_array($parsed)) { 
		$_GET = array_merge($_GET,$parsed);
	} else { 
		pageNotFound();
	}

	//overwrite defaults so that inc.metatags.php doesn't interfere.
	$config['default_meta_title'] = $data['title'];
	$config['default_header_title'] = $data['headertitle']; 
	$config['default_meta_description'] = $data['meta_desc']; 
	$config['default_meta_keywords'] = $data['meta_kw'];
	$config['default_meta_robots'] = $data['meta_robots']; 
	$_template_header = 'overall_header';
	$_template_content = 'index';
	$_template_footer = 'overall_footer';
}