<?php

ini_set("zlib.output_compression", 0);  // off
ini_set("implicit_flush", 1);  // on   
ob_implicit_flush(true);
ob_end_flush();
ob_start();

include 'admin/db.php';

error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ini_set('display_errors', 1);

ignore_user_abort(true);
ini_set('memory_limit', '2G');
ini_set('max_execution_time', 3600);
set_time_limit(3600);
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Mechbunny Cam Aggregator Update</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.6/united/bootstrap.min.css" />
        <style type="text/css">
            .alert{margin-bottom:0}
            .notification .alert{padding:10px 15px}
        </style>
    </head>
    <body>

        <div class="container">
            <div class="well">

                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-header text-center">
                            <h1>Mechbunny Cam Aggregator Update 1.2.1</h1>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <?php
                    $run_update = true;
                    $error = false;
                    if ($_POST['startUpgrade'] && $run_update === true) {
						
						
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic Title Tag', 'Schema for dynamic generated <title> tag used on filters when no other data is specified', 'dynamicTitle', '{withStatus}{withTags}{withEthnicity}{withGender}Webcams{withHair}{withAge}{withSite}', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic Header Title Tag', 'Schema for dynamic generated header title used on filters when no other data is specified', 'dynamicHeaderTitle', '{withStatus}{withTags}{withEthnicity}{withGender}Webcams{withHair}{withAge}{withSite}', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic Meta Keywords', 'Schema for dynamic generated meta keywords tag used on filters when no other data is specified', 'dynamicMetaKeywords', '{withStatus}{withTags}{withEthnicity}{withGender}Webcams{withHair}{withAge}{withSite}', '', '', 'dynamicTags', '0', '', NULL); 
");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic Meta Description', 'Schema for dynamic generated meta description tag used on filters when no other data is specified', 'dynamicMetaDesc', '{withStatus}{withTags}{withEthnicity}{withGender}Webcams{withHair}{withAge}{withSite}', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withStatus', 'Used with dynamic meta tags above', 'withStatus', '{concatenatedStatus} ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withTags', 'Used with dynamic meta tags above', 'withTags', '{concatenatedTags} ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withEthnicity', 'Used with dynamic meta tags above', 'withEthnicity', '{concatenatedEthnicity} ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withGender', 'Used with dynamic meta tags above', 'withGender', '{concatenatedGender} ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withHair', 'Used with dynamic meta tags above', 'withHair', ' With {concatenatedHair} Hair', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withAge', 'Used with dynamic meta tags above', 'withAge', ' Aged {concatenatedAge}', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Dynamic withSite', 'Used with dynamic meta tags above', 'withSite', ' from {concatenatedSites}', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withStatus Separator', 'Separator between elements for instance , or &', 'withStatusSeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withTags Separator', 'Separator between elements for instance , or &', 'withTagsSeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withEthnicity Separator', 'Separator between elements for instance , or &', 'withEthnicitySeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withGender Separator', 'Separator between elements for instance , or &', 'withGenderSeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withHair Separator', 'Separator between elements for instance , or &', 'withHairSeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withSite Separator', 'Separator between elements for instance , or &', 'withSiteSeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('withAge Separator', 'Separator between elements for instance , or &', 'withAgeSeparator', ', ', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Sidebar - Sources', 'Enable/Disable Sote Filter in Sidebar', 'template_sidebar_site', '1', '{\"true\":1,\"false\":0}', '1', 'default_v3', '0', '', NULL);");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Search Title Tag', 'Schema for dynamic generated search results', 'searchTitle', '{q} Webcams', '', '', 'dynamicTags', '0', '', NULL);");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Search Header Title Tag', 'Schema for dynamic generated search results', 'searchHeaderTitle', '{q} Webcams', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Search Meta Keywords', 'Schema for dynamic generated search results', 'searchMetaKeywords', '{q} Webcams', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Search Result Description', 'Schema for search results meta description tag', 'searchMetaDesc', '{q} Webcams', '', '', 'dynamicTags', '0', '', NULL); ");
						dbQuery("ALTER TABLE performers ENGINE = MyISAM;");
						
						
						
						
						if (!$error) { 
                            setMessage('<div class="alert alert-success">Upgrade completed</div>', 'alert');
                            setMessage('<div class="alert alert-warning"><strong>WARNING: remove "update.php" file from your server!</strong></div>', 'alert');
                        }
                        setMessage('<div class="alert alert-info"><a href="' . $basehttp . '">Go to homepage</a> or <a href="' . $basehttp . '/admin/">go to Admin Area</a></div>', 'alert');
                    }
                    ?>

                    <?php echo getMessages(); ?>
                </div>
                <?php if ($run_update === true && !$_POST['startUpgrade']) { ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <form action="" method="post" class="text-center">
                                <input type="hidden" name="startUpgrade" value="1">
                                <button type="submit" class="btn btn-primary btn-lg">Start upgrade (click once!!!)</button><br>
								This update may take a while if your database is large.
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

    </body>
</html>
<?php ob_flush(); flush(); ?>
